Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.http
Class AxisHttpSession

    java.lang.Object
      org.apache.axis.transport.http.AxisHttpSession

All Implemented Interfaces:
  Session

public class AxisHttpSession
extends java.lang.Object
implements Session

An HTTP/Servlet implementation of Axis sessions.

Author:
  Glen Daniels (gdaniels@apache.org)

Field Summary
`static java.lang.String` | `AXIS_SESSION_MARKER`

Constructor Summary
`AxisHttpSession(javax.servlet.http.HttpServletRequest realRequest)`
`AxisHttpSession(javax.servlet.http.HttpSession realSession)`

Method Summary
`protected void` | `ensureSession()`
`java.lang.Object` | `get(java.lang.String key)` Get a property from the session
`java.util.Enumeration` | `getKeys()` Get an enumeration of the keys in this session
`java.lang.Object` | `getLockObject()` Get an Object suitable for synchronizing the session.
`javax.servlet.http.HttpSession` | `getRep()` Get the internal HttpSession.
`int` | `getTimeout()` Return the sessions' time-to-live.
`void` | `invalidate()` invalidate the session
`void` | `remove(java.lang.String key)` Remove a property from the session
`void` | `set(java.lang.String key, java.lang.Object value)` Set a property in the session
`void` | `setTimeout(int timeout)` Set the session's time-to-live.
`void` | `touch()` "Touch" the session (mark it recently used)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AXIS_SESSION_MARKER

    public static final java.lang.String AXIS_SESSION_MARKER

See Also:
  Constant Field Values

Constructor Detail

### AxisHttpSession

    public AxisHttpSession(javax.servlet.http.HttpServletRequest realRequest)

### AxisHttpSession

    public AxisHttpSession(javax.servlet.http.HttpSession realSession)

Method Detail

### getRep

    public javax.servlet.http.HttpSession getRep()

  Get the internal HttpSession.

### get

    public java.lang.Object get(java.lang.String key)

  Get a property from the session

  Specified by:
    `get` in interface `Session`
  Parameters:
    `key` - the name of the property desired.

### set

    public void set(java.lang.String key,
                    java.lang.Object value)

  Set a property in the session

  Specified by:
    `set` in interface `Session`
  Parameters:
    `key` - the name of the property to set.
    `value` - the value of the property.

### remove

    public void remove(java.lang.String key)

  Remove a property from the session

  Specified by:
    `remove` in interface `Session`
  Parameters:
    `key` - the name of the property desired.

### getKeys

    public java.util.Enumeration getKeys()

  Get an enumeration of the keys in this session

  Specified by:
    `getKeys` in interface `Session`

### setTimeout

    public void setTimeout(int timeout)

  Set the session's time-to-live. This is implementation-specific, but basically should be the # of seconds of inactivity which will cause the session to time out and invalidate. "inactivity" is implementation-specific.

  Specified by:
    `setTimeout` in interface `Session`

### getTimeout

    public int getTimeout()

  Return the sessions' time-to-live.

  Specified by:
    `getTimeout` in interface `Session`
  Returns:
    the timeout value for this session.

### touch

    public void touch()

  "Touch" the session (mark it recently used)

  Specified by:
    `touch` in interface `Session`

### invalidate

    public void invalidate()

  invalidate the session

  Specified by:
    `invalidate` in interface `Session`

### ensureSession

    protected void ensureSession()

### getLockObject

    public java.lang.Object getLockObject()

  Get an Object suitable for synchronizing the session. This method exists because different session implementations might provide different ways of getting at shared data. For a simple hashtable- based session, this would just be the hashtable, but for sessions which use database connections, etc. it might be an object wrapping a table ID or somesuch.

  Specified by:
    `getLockObject` in interface `Session`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.